Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Class SCQLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              opencard.opt.database.SCQLException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CommandNotAllowedException, EndOfTableReachedException, IncorrectParameterInDataFieldException, InstructionCodeNotSupportedException, MemoryFailureError, NotEnoughMemorySpaceException, ObjectAlreadyExistsException, OperationNotSupportedException, ReferencedObjectNotFoundException, RequiredPrecedentCommandNotPerformedException, SCQLError, WrongLengthException

    public class SCQLException

extends java.lang.Exception

This class which extends the Java `objectException` object class, is the most general exception of the database package. It provides information on a database smart card access error.

Since:
  OCF1.2
Version:
  $Id: SCQLException.java,v 1.1 1999/12/06 15:46:06 damke Exp $
Author:
  Arnaud HAMEL, Cedric DANGREMONT, Christophe.Muller@research.gemplus.com
See Also:
  Serialized Form

Constructor Summary
`SCQLException()` Build a new `SCQLException` object.
`SCQLException(java.lang.String message)` Build a new `SCQLException` with the corresponding message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SCQLException

    public SCQLException()

  Build a new `SCQLException` object.

### SCQLException

    public SCQLException(java.lang.String message)

  Build a new `SCQLException` with the corresponding message.

  Parameters:
    `message` - The message used to build the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD